#!/bin/bash

cd "$(dirname "$0")"

WPDPATH="$1"
WPD2ODT=./wpd2odt

if [ -f "$WPDPATH" ]; then
    FULLPATH="$WPDPATH.docx"
else
    exit
fi

if [ -f "$FULLPATH" ]; then
    RESP=$(/usr/bin/osascript<<END
     tell application "System Events"
     set writeFile to button returned of (display dialog "Output DOCX exists. Overwrite it?" buttons {"Ok", "No"} default button 2 with title "Output PDF exists")
     end tell
     return writeFile
     END)
    
    if [ $RESP == "No" ]; then
        osascript -e 'tell application "System Events" to display dialog "DOCX conversion cancelled." buttons {"OK"} giving up after 2 with title "Cancelled" '
        exit 0
    fi
fi

OUTFILE="$WPDPATH.odt"
DOCFILE="$WPDPATH.docx"
$WPD2ODT "$WPDPATH" "$OUTFILE"

if ! [[ $(mdfind "kMDItemCFBundleIdentifier = com.microsoft.Word") ]]
then

osascript - "$OUTFILE" << 'EOD'
on run argv
set theInputPath to item 1 of argv
set theRevealPath to POSIX file theInputPath
tell application "Finder" to reveal theRevealPath
end run
EOD
# open -e "$OUTFILE"

else 

rm "$DOCFILE"

osascript - "$OUTFILE" "$DOCFILE" << 'EOD'
on run argv
set theInputPath to item 1 of argv
set theOutputPath to item 2 of argv
tell application id "com.microsoft.Word"
activate
set visible of window 1 of document 1 to false
open theInputPath
set visible of window 1 of document 1 to false
-- set theOutputPath to (theInputPath & ".docx")
repeat while not (active document is not missing value)
	delay 0.1
end repeat
set activeDoc to active document
save as activeDoc file name theOutputPath file format format document
close active document saving no
end tell
set theRevealPath to POSIX file theOutputPath
tell application "Finder" to reveal theRevealPath
end run
EOD

rm "$OUTFILE"

fi
